package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBCustomerHasCropType entity.
 */
public class TBCustomerHasCropTypeDTO implements Serializable {

    private Long id;

    private Long tbCustomerId;

    private Long tbCropTypeId;

    private String tbCropTypeName;

    private Long tbActivityTypeId;

    private String tbActivityTypeName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTbCustomerId() {
        return tbCustomerId;
    }

    public void setTbCustomerId(Long tbCustomerId) {
        this.tbCustomerId = tbCustomerId;
    }

    public Long getTbCropTypeId() {
        return tbCropTypeId;
    }

    public void setTbCropTypeId(Long tbCropTypeId) {
        this.tbCropTypeId = tbCropTypeId;
    }

    public Long getTbActivityTypeId() {
        return tbActivityTypeId;
    }

    public void setTbActivityTypeId(Long tbActivityTypeId) {
        this.tbActivityTypeId = tbActivityTypeId;
    }

    public String getTbCropTypeName() {
        return tbCropTypeName;
    }

    public void setTbCropTypeName(String tbCropTypeName) {
        this.tbCropTypeName = tbCropTypeName;
    }

    public String getTbActivityTypeName() {
        return tbActivityTypeName;
    }

    public void setTbActivityTypeName(String tbActivityTypeName) {
        this.tbActivityTypeName = tbActivityTypeName;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        TBCustomerHasCropTypeDTO that = (TBCustomerHasCropTypeDTO) o;
        return Objects.equals(id, that.id) &&
            Objects.equals(tbCustomerId, that.tbCustomerId) &&
            Objects.equals(tbCropTypeId, that.tbCropTypeId) &&
            Objects.equals(tbCropTypeName, that.tbCropTypeName) &&
            Objects.equals(tbActivityTypeId, that.tbActivityTypeId) &&
            Objects.equals(tbActivityTypeName, that.tbActivityTypeName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, tbCustomerId, tbCropTypeId, tbCropTypeName, tbActivityTypeId, tbActivityTypeName);
    }

    @Override
    public String toString() {
        return "TBCustomerHasCropTypeDTO{" +
            "id=" + id +
            ", tbCustomerId=" + tbCustomerId +
            ", tbCropTypeId=" + tbCropTypeId +
            ", tbCropTypeName='" + tbCropTypeName + '\'' +
            ", tbActivityTypeId=" + tbActivityTypeId +
            ", tbActivityTypeName='" + tbActivityTypeName + '\'' +
            '}';
    }
}
